> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withflock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject Referral

> Reject a pending referral that has been flagged by our fraud detection engine



## OpenAPI

````yaml post /referrals/{id}/reject
openapi: 3.0.0
info:
  title: Flock API
  description: API Documentation for Flock
  version: '1.0'
  contact: {}
servers:
  - url: https://api-dev.withflock.com
security: []
tags: []
paths:
  /referrals/{id}/reject:
    post:
      tags:
        - Referral
      description: >-
        Reject a referral after it has been flagged by our fraud detection
        engine.
      operationId: ReferralController_rejectReferral
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Referral rejected successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MutateSingleEntityResponseDTO'
      security:
        - accessKey: []
components:
  schemas:
    MutateSingleEntityResponseDTO:
      type: object
      properties:
        id:
          type: string
      required:
        - id
  securitySchemes:
    accessKey:
      type: apiKey
      in: header
      name: Authorization

````